function [InitFunction, CostFunction] = F11
InitFunction = @Init;
CostFunction = @Cost;
return





function [Population, OPTIONS] = Init(OPTIONS)

% _______________________ Initialize the population _______________________
if ~isfield(OPTIONS, 'MinDomain')
    OPTIONS.MinDomain = 0 * ones(1, OPTIONS.numVar);
end
if ~isfield(OPTIONS, 'MaxDomain')
    OPTIONS.MaxDomain = pi * ones(1, OPTIONS.numVar);
end

Population = struct('chrom', cell([1 OPTIONS.popsize]), 'cost', cell([1 OPTIONS.popsize]));
for popindex = 1 : OPTIONS.popsize
    chrom = OPTIONS.MinDomain + (OPTIONS.MaxDomain - OPTIONS.MinDomain) .* rand(1,OPTIONS.numVar);
    Population(popindex).chrom = chrom;
end
return






function [Population] = Cost(Population, OPTIONS)
% _____________ Compute the cost of each member in Population ____________
p = length(Population(1).chrom);
for popindex = 1 : length(Population)
    sum1 = 1;
    sum2 = 1;
    for i = 1 : p
        x = Population(popindex).chrom(i);
        sum1 = sum1* sin(x-(pi/6));
        sum2 = sum2*sin(5*(x-(pi/6)));
        
    end
    
    Population(popindex).cost =-((2.5*sum1)+sum2);
end
return