function [InitFunction, CostFunction] = F20
InitFunction = @Init;
CostFunction = @Cost;
return
function [Population, OPTIONS] = Init(OPTIONS)

% _______________________ Initialize the population _______________________
if ~isfield(OPTIONS, 'MinDomain')
    OPTIONS.MinDomain = -50 * ones(1, OPTIONS.numVar);
end
if ~isfield(OPTIONS, 'MaxDomain')
    OPTIONS.MaxDomain = +50 * ones(1, OPTIONS.numVar);
end

Population = struct('chrom', cell([1 OPTIONS.popsize]), 'cost', cell([1 OPTIONS.popsize]));
for popindex = 1 : OPTIONS.popsize
    chrom = OPTIONS.MinDomain + (OPTIONS.MaxDomain - OPTIONS.MinDomain) .* rand(1,OPTIONS.numVar);
    Population(popindex).chrom = chrom;
end
return


function [Population] = Cost(Population, OPTIONS)
% _____________ Compute the cost of each member in Population ____________
p = length(Population(1).chrom);
for popindex = 1 : length(Population)
    y= 0*ones(1,p-1);
    u= 0*ones(1,p);
    a=10;
    k=100;
    m=4;
    sum1=0;
    sum2=0;
     sum3=0;
    for i = 1 : p
        x = Population(popindex).chrom(i);
        y(i) = 1+(1/4)*(x+1);
        if x>a
            u(i)= k*power((x-a),m);
        else if x<-a
                u(i)= -k*power((x-a),m);
            else
                u(i)=0;
            end
        end
        sum3 = u(i)+sum3;
        
    end
    
    for i = 1 : p-1
         x = Population(popindex).chrom(i);
        x2 = Population(popindex).chrom(i+1);
        x3 = Population(popindex).chrom(p-1);
        sum1=sum1+((x-1)^2)*(1+((sin(3*pi*x2))^2))+((x3-1)^2)*(1+((sin(2*pi*x3))^2)); 
    end
    sum2=sum2+10*(sin(3*pi*x))^2+ sum1;
    Population(popindex).cost =(0.1*sum2)+sum3;
end
return