function [InitFunction, CostFunction] = F5
InitFunction = @Init;
CostFunction = @Cost;
return
function [Population, OPTIONS] = Init(OPTIONS)

% _______________________ Initialize the population _______________________
if ~isfield(OPTIONS, 'MinDomain')
    OPTIONS.MinDomain = -10 * ones(1, OPTIONS.numVar);
end
if ~isfield(OPTIONS, 'MaxDomain')
    OPTIONS.MaxDomain = +10 * ones(1, OPTIONS.numVar);
end

Population = struct('chrom', cell([1 OPTIONS.popsize]), 'cost', cell([1 OPTIONS.popsize]));
for popindex = 1 : OPTIONS.popsize
    chrom = OPTIONS.MinDomain + (OPTIONS.MaxDomain - OPTIONS.MinDomain) .* rand(1,OPTIONS.numVar);
    Population(popindex).chrom = chrom;
end
return


function [Population] = Cost(Population, OPTIONS)
% _____________ Compute the cost of each member in Population ____________
p = length(Population(1).chrom);
for popindex = 1 : length(Population)
        y= 0*ones(1,p);
  
    sum1=0;
    for i = 1 : p-1
        x = Population(popindex).chrom(i);
        y(i) = 1+(1/4)*(x+1);
        sum1=sum1+((y(i)-1)^2)*((1+10*(sin(pi*y(i+1)))^2))+(y(i)-1)^2;
        
    end
    Population(popindex).cost =(pi/p)*(10*(sin(pi*y(1))^2)+sum1);
end
return