function [InitFunction, CostFunction] = H2
InitFunction = @Init;
CostFunction = @Cost;
return
function [Population, OPTIONS] = Init(OPTIONS)

% _______________________ Initialize the population _______________________
if ~isfield(OPTIONS, 'MinDomain')
    OPTIONS.MinDomain = 3 * ones(1, OPTIONS.numVar);
end
if ~isfield(OPTIONS, 'MaxDomain')
    OPTIONS.MaxDomain = 13 * ones(1, OPTIONS.numVar);
end

Population = struct('chrom', cell([1 OPTIONS.popsize]), 'cost', cell([1 OPTIONS.popsize]));
for popindex = 1 : OPTIONS.popsize      
    chrom = OPTIONS.MinDomain + (OPTIONS.MaxDomain - OPTIONS.MinDomain) .* rand(1,OPTIONS.numVar);
    Population(popindex).chrom = chrom;
end
return


function [Population] = Cost(Population, OPTIONS)
% _____________ Compute the cost of each member in Population ____________
p = length(Population(1).chrom);
for popindex = 1 : length(Population)
    sum1 = 0;
    for i = 1 : p-1
        x = Population(popindex).chrom(i);
        x1 = Population(popindex).chrom(i+1);
                sum1 = sum1 + (sin(x+x1)+ sin(2*x*x1/3));
    end
      Population(popindex).cost =-sum1;
end
return